QGIS Application - Bug report #19644
can't view python error log because crash modal window overlap log window
2018-08-19 08:43 AM - len kong

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:3.2.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 27471
Description

| run a python plugin, unfortunately, it causes qgis app crash.
wanna see the log messages, but the crashed window overlap it. It can't switch from the message tab to python error tab

is it bug ?, or is there a way to let me see the python error message

QGIS Info

QGIS Version: 3.2.1-Bonn
QGIS code revision: 1edf372fb8
Compiled against Qt: 5.9.2
Running against Qt: 5.9.2
Compiled against GDAL: 2.2.4
Running against GDAL: 2.2.4

History

#1 - 2018-08-20 12:14 AM - Nyall Dawson
- Resolution set to invalid
- Status changed from Open to Closed

If you run debugview (https://docs.microsoft.com/en-us/sysinternals/downloads/debugview) the python error will be logged to the debug window.

#2 - 2018-08-20 03:51 PM - len kong

thank u, your help works

Nyall Dawson wrote:

If you run debugview (https://docs.microsoft.com/en-us/sysinternals/downloads/debugview) the python error will be logged to the debug window.
